import Tabs from "@/components/Tabs";
import { getTranslations } from "next-intl/server";
import Bets from "./Bets";
import Bouns from "./Bouns";
import Deposits from "./Deposits";

const Transactions = async () => {
    const t = await getTranslations("ProfilePage");
    const defaultTabs = [
        {
            id: 1,
            name: t("deposits"),
            content: 0,
            render: <Deposits></Deposits>,
        },
        { id: 2, name: t("saques"), content: 0, render: <Bets></Bets> },
        { id: 3, name: t("bonus"), content: 0, render: <Bouns></Bouns> },
    ];
    return <Tabs items={defaultTabs} />;
};

export default Transactions;
