import { getTranslations } from "next-intl/server";

const page = async () => {
    const t = await getTranslations("cashback");
    return (
        <div className={"mt-[0.0694rem]"}>
            <h1 className={"font-bold"}>{t("rules")}</h1>
            <ul className={"text-[0.11rem] leading-[0.18rem]"}>
                <li>{t("rulesFirst")} </li>
                <li>{t("rulesSecond")}</li>
                <li>{t("rulesThird")}</li>
                <li>{t("rulesFourth")}</li>
                <li>{t("rulesFifth")}</li>
                <li>{t("rulesSixth")}</li>
                <li>{t("rulesSeventh")}</li>
            </ul>
        </div>
    );
};

export default page;
